<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.noear</groupId>
        <artifactId>solon-parent</artifactId>
        <version>3.3.3</version>
        <relativePath />
    </parent>

    <groupId>com.ruoyi</groupId>
    <artifactId>ruoyi-solon</artifactId>
    <version>${ruoyi-solon.version}</version>

    <name>${project.artifactId}</name>
    <packaging>pom</packaging>
    <description>若依管理系统（Solon版）</description>

    <modules>
        <module>ruoyi-admin</module>
        <module>ruoyi-common</module>
        <module>ruoyi-framework</module>
        <module>ruoyi-gen</module>
        <module>ruoyi-schedule</module>
        <module>ruoyi-system</module>
    </modules>

    <properties>
        <ruoyi-solon.version>2.1.1</ruoyi-solon.version>
        <mysql.connector.version>8.0.33</mysql.connector.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- Mysql驱动包 -->
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.connector.version}</version>
            </dependency>

            <!-- sqlite3驱动包 -->
            <dependency>
                <groupId>org.xerial</groupId>
                <artifactId>sqlite-jdbc</artifactId>
                <version>3.40.1.0</version>
            </dependency>

            <!-- hutool工具 -->
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-bom</artifactId>
                <version>${hutool.version}</version>
                <type>pom</type>
                <!-- 注意这里是import -->
                <scope>import</scope>
            </dependency>

            <!-- 通用模块 -->
            <dependency>
                <groupId>com.ruoyi</groupId>
                <artifactId>ruoyi-common</artifactId>
                <version>${ruoyi-solon.version}</version>
            </dependency>
            <!-- 框架核心 -->
            <dependency>
                <groupId>com.ruoyi</groupId>
                <artifactId>ruoyi-framework</artifactId>
                <version>${ruoyi-solon.version}</version>
            </dependency>
            <!-- 代码生成 -->
            <dependency>
                <groupId>com.ruoyi</groupId>
                <artifactId>ruoyi-gen</artifactId>
                <version>${ruoyi-solon.version}</version>
            </dependency>
            <!-- 任务调度 -->
            <dependency>
                <groupId>com.ruoyi</groupId>
                <artifactId>ruoyi-schedule</artifactId>
                <version>${ruoyi-solon.version}</version>
            </dependency>
            <!-- 系统模块 -->
            <dependency>
                <groupId>com.ruoyi</groupId>
                <artifactId>ruoyi-system</artifactId>
                <version>${ruoyi-solon.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

</project>